package com.wyattjmiller

import io.ktor.server.application.*
import com.wyattjmiller.plugins.*
import com.wyattjmiller.routes.RecipeRoute.Companion.recipeRoutes
import io.ktor.server.config.*

fun main(args: Array<String>): Unit =
    io.ktor.server.netty.EngineMain.main(args)

@Suppress("unused") // application.conf references the main function. This annotation prevents the IDE from marking it as unused.
fun Application.module() {
    //val config = this.environment.config

    configureRouting()
    configureSerialization()

    recipeRoutes()
}
